package com.smppw.common.pojo;

/**
 * @author Rain
 * @date 2023/3/20 13:57
 * @description
 */
public class ValueLabelWithEn extends ValueLabelDo{

    private Integer id;
    private String valueEn;

    public ValueLabelWithEn() {
    }

    public ValueLabelWithEn(Integer id, String valueEn,String value,String label) {
        super(label, value);
        this.id = id;
        this.valueEn = valueEn;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getValueEn() {
        return valueEn;
    }

    public void setValueEn(String valueEn) {
        this.valueEn = valueEn;
    }

    @Override
    public String toString() {
        return "ValueLabelWithEn{" +
                "id=" + id +
                ", valueEn='" + valueEn + '\'' +
                ", label='" + label + '\'' +
                ", value='" + value + '\'' +
                '}';
    }
}
